

function install(step) {
	
	//载入安装协议
	if (step == 'copyright') {
		$("#action_box").load(INSTALL_PATH + '?step=copyright' + "&"+(+new Date()), function(){$("#next").html('<a href="javascript:install(\'php_environment\')">下一步：检查运行环境</a>');});		
	}
	
	//检查运行环境
	if (step == 'php_environment') {
		$("#next").html('正在进行数据通信，请稍后...');
		
		var JsonAPI = INSTALL_PATH + '?step=php_environment' + "&"+(+new Date());
		var ID = 'action_box';
		
		$.getJSON(JsonAPI, {},
			function(data){
				data['PHP_ENVIRONMENT'] = parseInt(data['PHP_ENVIRONMENT']);
				if (data['PHP_ENVIRONMENT'] == 1) {
					PHP_ENVIRONMENT = true;
				} else {
					PHP_ENVIRONMENT = false;
				}
				$("#" + ID).setTemplate(JSON_php_environment);
				$("#" + ID).processTemplate(data);
						
				if (PHP_ENVIRONMENT) {
					//下一步：
					$("#next").html('<a href="javascript:install(\'php_chmod\')">下一步：检查权限是否设置正确</a>');
				} else {
					//下一步：
					$("#next").html('<font color="#FF0000"><strong>警告：无法进行下一步，因为你还没有装好PHP环境！</strong></font> ');		
				}
		
			}
		);		
	}
	
	
	//检查权限是否设置正确
	if (step == 'php_chmod') {
		$("#next").html('正在进行数据通信，请稍后...');
	
		var JsonAPI = INSTALL_PATH + '?step=chmod' + "&"+(+new Date());
		var ID = 'action_box';
		
		$.getJSON(JsonAPI, {},
			function(data){
				data['PHP_CHMOD'] = parseInt(data['PHP_CHMOD']);
				if (data['PHP_CHMOD'] == 1) {
					PHP_CHMOD = true;
				} else {
					PHP_CHMOD = false;
				}
				$("#" + ID).setTemplate(JSON_chmod);
				$("#" + ID).processTemplate(data);
						
				if (PHP_CHMOD) {
					//下一步：
					$("#next").html('<a href="javascript:install(\'config\')">下一步：输入基本信息</a>');
				} else {
					//下一步：
					$("#next").html('<a href="javascript:install(\'php_chmod\')">重复操作：重新检测该步骤</a>');		
				}
		
			}
		);
		
		
	}
	
	
	//输入基本信息
	if (step == 'config') {
		$("#next").html('正在进行数据通信，请稍后...');
		
		//载入表单
		$("#action_box").load(INSTALL_PATH + '?step=config' + "&"+(+new Date()), '', function(){$("#next").html('<a href="javascript:save_config()">下一步：保存配置数据</a>');});
	}
	
	//安装默认数据
	if (step == 'write_data') {
		$("#next").html('正在进行数据通信，请稍后...');
		
		//执行解压
		var JsonAPI = INSTALL_PATH + '?step=write_data&web_host=' + encodeURI(WEB_HOST) + '&site_id=' + SITE_ID;
		var ID = 'action_box';
		
		$.getJSON(JsonAPI, {},
			function(data){

				$("#" + ID).setTemplate(JSON_unzip);
				$("#" + ID).processTemplate(data);
						
				//下一步：
				$("#next").html('<a href="javascript:install(\'success\')">下一步：完成安装</a>');
		
			}
		);
		
	}
	
	//完成安装
	if (step == 'success') {
		var JsonAPI = INSTALL_PATH + '?step=success' + "&"+(+new Date());
		var ID = 'action_box';
		$.getJSON(JsonAPI, {},
			function(data){
			
				$("#" + ID).setTemplate(JSON_success);
				$("#" + ID).setParam('SITE_URL', WEB_HOST + SITE_PATH);
				$("#" + ID).processTemplate(data);
				
				$("#install_info").load(INSTALL_PATH + '?step=lock');
			}
		);
		
		$("#next").html('<a target="_blank" href="http://' + WEB_HOST+ SITE_PATH + '">下一步：查看我的网站</a>');
		
	}
	
}

